# $Revision: 1.18 $, $Date: 2007/02/13 07:16:44 $
Summary:	ftpproxy is an application level gateway for the FTP protocol
Summary(pl.UTF-8):	ftpproxy jest aplikacyjną bramką dla protokołu FTP
Name:		ftpproxy
Version:	1.2.3
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://ftp.daemons.de/download/%{name}-%{version}.tgz
# Source0-md5:	c2068bc452e1d7554d3bda08030aa433
Source1:	%{name}.inetd
URL:		http://ftp.daemons.de/
BuildRequires:	ctags
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	rc-inetd >= 0.8.1
Conflicts:	proxytools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ftp.proxy is a proxy server for a subset of the file transfer protocol
described in RFC 959. It forwards traffic between a client and a
server without looking too much if both hosts do real FTP. The FTP
server can be either given on the command line or supplied by the
client.

%description -l pl.UTF-8
ftp.proxy jest aplikacyjną bramką dla podzbioru protokołu FTP
opisanego w RFC 959. Pośredniczy w transferze pomiędzy klientem a
serwerem bez specjalnego patrzenia czy oba hosty są prawdziwymi
serwerami FTP.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DVERSION=\\\"%{version}\\\""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,/etc/sysconfig/rc-inetd}

install src/ftp.proxy $RPM_BUILD_ROOT%{_sbindir}
install doc/ftp.proxy.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpproxy

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd reload

%postun
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc doc/rfc*.txt HISTORY INSTALL
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/ftpproxy
%attr(755,root,root) %{_sbindir}/ftp.proxy
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ftpproxy.spec,v $
Revision 1.18  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.16  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.15  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.14  2004/08/30 11:16:22  tommat
- version 1.2.3

Revision 1.13  2003/05/28 11:13:46  misi3k
- updated to 1.1.5

Revision 1.12  2003/05/25 05:47:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/11/27 19:36:47  juandon
- new %doc

Revision 1.10  2002/04/25 16:20:05  arturs
- fixed a small typo

Revision 1.9  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:59  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/19 04:10:11  kloczek
- updated to 1.1.3 (bug fix release),
- spec adapterized and few cosmetics.

Revision 1.5  2001/12/13 09:17:59  qboosh
- fixed typos, Conflicts: proxytools

Revision 1.4  2001/12/12 19:55:34  blues
- release 2
- URL added
- translation improved

Revision 1.3  2001/12/03 09:20:31  qboosh
- more cosmetics

Revision 1.2  2001/12/03 09:16:12  qboosh
- cosmetics, Prereq: rc-inetd

Revision 1.1  2001/12/03 02:47:07  speedy
- removed proxytools [all in one]
- added ftpproxy, smtpproxy
